using DataModels.Models;
using System.ComponentModel;

namespace Contracts.ViewModels
{
	public class WorkerViewModel : IWorkerModel
	{
		public int Id { get; set; }
		[DisplayName("Имя работника")]
		public string Name { get; set; } = string.Empty;
		[DisplayName("Дата рождения")]
		public DateTime Birthday { get; set; }
		[DisplayName("Специальность")]
		public string Specialization { get; set; } = string.Empty;
		[DisplayName("Заработная плата")]
		public double Salary { get; set; }
		public int UserId { get; set; }
	}
}
